Bug 517187 - grubby fails to update the kernel when there is no /etc/sysconfig/keyboard
grubby fails to update the kernel when there is no /etc/sysconfig/keyboard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 17:11 EDT by Dennis Gilmore
Modified: 2009-08-26 07:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 07:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2009-08-12 17:11:23 EDT
Description of problem:
on one of my headless boxes grubby fialed to update /etc/silo.conf 
it failed to update during the kernel install as grubby was too old after updating grubby and manually running the post-install script i get the following

/sbin/new-kernel-pkg --package kernel --depmod --add-dracut-args --initrdfile=/boot/initrd-generic-2.6.31-0.149.rc5.git3.fc12.sparc64.img --install
                  2.6.31-0.149.rc5.git3.fc12.sparc64
/sbin/new-kernel-pkg: line 446: /etc/sysconfig/keyboard: No such file or directory


the boot loader should get the new kernel regardless of if there is a /etc/system/keyboard file or not.
Comment 1 Jeremy Katz 2009-08-14 10:32:44 EDT
This is fallout from Hans's changes for dracut
Comment 2 Hans de Goede 2009-08-24 07:14:04 EDT
I've just send a patch to the anaconda-list which fixes this, I'll commit it
to git once it is reviewed.

Note though, that the error message from this is harmless, new-kernel-pkg will
continue as normal and will add the kernel entry to grub.conf .

If it does not do that there is another, separate bug in play here.
Comment 3 Hans de Goede 2009-08-26 07:03:39 EDT
The error message is fixed in grubby-7.0.3 which is on its way to rawhide.

Note You need to log in before you can comment on or make changes to this bug.